// -----------------------------------------------------------------------------------------------------
// Copyright (c) 2006-2022, Knut Reinert & Freie Universität Berlin
// Copyright (c) 2016-2022, Knut Reinert & MPI für molekulare Genetik
// This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
// shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
// -----------------------------------------------------------------------------------------------------

/*!\file
 * \author Enrico Seiler <enrico.seiler AT fu-berlin.de>
 * \brief Meta-header for the \link search_dream_index Search / DREAM Index submodule \endlink.
 */

/*!\defgroup search_dream_index DREAM Index
 * \brief Provides seqan3::interleaved_bloom_filter.
 * \ingroup search
 * \see search
 */

#pragma once

#include <seqan3/search/dream_index/interleaved_bloom_filter.hpp>
